// Package api2sql ...
//
// Description : api2sql ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-08-23 17:36
package api2sql

import (
	"git.zhangdeman.cn/zhangdeman/database"
	"git.zhangdeman.cn/zhangdeman/database/define"
	"testing"
)

func Test_execute_Run(t *testing.T) {
	clientManager := database.NewWrapperClient()
	if err := clientManager.AddWithConfig("TEST_DATABASE", nil, &define.Database{
		Master: &define.Driver{
			DBType: "sqlite3",
			Host:   "/tmp/gateway.db",
		},
		Slave: &define.Driver{
			DBType: "sqlite3",
			Host:   "/tmp/gateway.db",
		},
	}, []string{}); nil != err {
		panic(err.Error())
	}
	Exec.SetDatabaseClientManager(clientManager)
}
